> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update error status

> Operacion: Update error status.



## OpenAPI

````yaml /generated/specs/finance.json put /api/billing/ejecucion/errors/{errorId}/status
openapi: 3.0.0
info:
  title: Raul API - Finanzas
  description: >-
    Facturas, boletas, ejecuciones de billing, cuentas por pagar y medios de
    pago.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/billing/ejecucion/errors/{errorId}/status:
    put:
      tags:
        - Billing - Ejecucion Facturacion
      summary: Update error status
      description: 'Operacion: Update error status.'
      operationId: ExecutionController_updateErrorStatus
      parameters:
        - name: errorId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateErrorStatusDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFacturacionResponseDto'
        '404':
          description: Error not found
      security:
        - bearerAuth: []
components:
  schemas:
    UpdateErrorStatusDto:
      type: object
      properties:
        estado:
          type: string
          description: New status
          example: resuelto
        fechaResolucion:
          type: string
          description: Resolution date
      required:
        - estado
    ErrorFacturacionResponseDto:
      type: object
      properties:
        id:
          type: string
        ejecucion_id:
          type: string
        client_id:
          type: string
        factura_id:
          type: number
        tipo_error:
          type: string
        mensaje:
          type: string
        contexto_json:
          type: object
        stack_trace:
          type: string
        fecha_error:
          format: date-time
          type: string
        estado:
          type: string
        fecha_resolucion:
          format: date-time
          type: string
      required:
        - id
        - ejecucion_id
        - tipo_error
        - mensaje
        - fecha_error
        - estado
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````